title: Get User By Id keywords: - get user by id - get - user # Get User By Id Get user profile by ID. #### Path Parameters **`user_id`** string required The user id parameter. ## Returns **`id`** string User ID with usr_ prefix **`email`** string Email **`username`** string or null Username **`full_name`** string or null Full Name **`first_name`** string or null First Name **`last_name`** string or null Last Name **`birthday`** string or null Birthday **`profile_image`** string or null Profile Image **`timezone`** string or null Timezone **`country_id`** string or null Country Id **`post_code`** string or null Post Code **`gender`** string or null Gender **`is_active`** boolean Is Active **`last_verified`** string or null Last Verified **`last_login`** string or null Last Login **`created_at`** string Created At **`updated_at`** string Updated At **`current_organization_id`** string or null Current Organization Id Example ```bash cURL curl -X GET "https://api.aitronos.com/v1/user/{user_id}" \ -H "X-API-Key: $FREDDY_API_KEY" ``` ```python Python import os import requests api_key = os.environ["FREDDY_API_KEY"] response = requests.get( "https://api.aitronos.com/v1/user/{user_id}", headers={"X-API-Key": api_key} ) print(response.json()) ``` ```javascript JavaScript const apiKey = process.env.FREDDY_API_KEY; const response = await fetch('https://api.aitronos.com/v1/user/{user_id}', { method: 'GET', headers: { 'X-API-Key': apiKey } }); const data = await response.json(); console.log(data); ``` **Response:** ```json 200 OK { "id": "usr_abc123def456", "email": "user@example.com", "username": "user@example.com", "full_name": "example_full_name", "first_name": "example_first_name", "last_name": "example_last_name", "birthday": "2025-11-15", "profile_image": "example_profile_image", "timezone": "example_timezone", "country_id": "abc123def456", "post_code": "example_post_code", "gender": "example_gender", "is_active": true, "last_verified": "2025-11-15T10:30:00Z", "last_login": "2025-11-15T10:30:00Z", "created_at": "2025-11-15T10:30:00Z", "updated_at": "2025-11-15T10:30:00Z", "current_organization_id": "abc123def456" } ``` Errors ```json 401 Unauthorized { "success": false, "error": { "code": "AUTHENTICATION_REQUIRED", "message": "Authentication required. Please provide a valid API key.", "system_message": "Missing or invalid authorization header", "type": "authentication_error", "status": 401, "trace_id": "req_abc123xyz", "timestamp": "2025-11-11T10:30:00Z", "details": {} } } ``` ```json 403 Forbidden { "success": false, "error": { "code": "INSUFFICIENT_PERMISSIONS", "message": "You do not have permission to access this resource.", "system_message": "Insufficient permissions for this operation", "type": "authorization_error", "status": 403, "trace_id": "req_def456uvw", "timestamp": "2025-11-11T10:30:00Z", "details": {} } } ``` ## Related Resources - [Get Profile](/docs/api-reference/users/get-profile)